require 'shopping_list'
require 'book'

RSpec.describe ShoppingList do
  let(:shopping_list) do
    list = ShoppingList.new
    list.add(Book.new('Author One', 'Name', 'Genre', 100))
    list.add(Book.new('Author Two', 'Name', 'Genre', 150))
    list
  end

  context '#total' do
    it 'should return total value of added items' do
      expect(shopping_list.total).to eq(250)
    end
  end

  context '#count_change' do
    it 'should provide the aumount of money to be returned' do
      expect(shopping_list.count_change(300)).to eq(50)
    end
  end
end
